PipeWire 1.2.6

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions
Factory
Core API

Factory interface More...

## Files
file | factory.h
| `pipewire/factory.h`

## Data Structures
struct | pw_factory_info
| The factory information. More...
struct | pw_factory_events
| Factory events. More...
struct | pw_factory_methods
| Factory methods. More...
struct | pw_factory

## Macros
#define | PW_TYPE_INTERFACE_Factory PW_TYPE_INFO_INTERFACE_BASE "Factory"
#define | PW_FACTORY_PERM_MASK PW_PERM_R|PW_PERM_M
#define | PW_VERSION_FACTORY 3
#define | PW_FACTORY_CHANGE_MASK_PROPS (1 << 0)
#define | PW_FACTORY_CHANGE_MASK_ALL ((1 << 1)-1)
#define | PW_FACTORY_EVENT_INFO 0
#define | PW_FACTORY_EVENT_NUM 1
#define | PW_VERSION_FACTORY_EVENTS 0
#define | PW_FACTORY_METHOD_ADD_LISTENER 0
#define | PW_FACTORY_METHOD_NUM 1
#define | PW_VERSION_FACTORY_METHODS 0
#define | pw_factory_method(o, method, version, ...)
#define | pw_factory_add_listener(c, ...)

## Functions
struct pw_factory_info * | pw_factory_info_update (struct pw_factory_info *info, const struct pw_factory_info *update)
struct pw_factory_info * | pw_factory_info_merge (struct pw_factory_info *info, const struct pw_factory_info *update, bool reset)
void | pw_factory_info_free (struct pw_factory_info *info)

## Detailed Description

Factory interface

## Macro Definition Documentation

## ◆ PW_TYPE_INTERFACE_Factory

#define PW_TYPE_INTERFACE_Factory PW_TYPE_INFO_INTERFACE_BASE "Factory"

## ◆ PW_FACTORY_PERM_MASK

#define PW_FACTORY_PERM_MASK PW_PERM_R|PW_PERM_M

## ◆ PW_VERSION_FACTORY

#define PW_VERSION_FACTORY 3

## ◆ PW_FACTORY_CHANGE_MASK_PROPS

#define PW_FACTORY_CHANGE_MASK_PROPS (1 << 0)

## ◆ PW_FACTORY_CHANGE_MASK_ALL

#define PW_FACTORY_CHANGE_MASK_ALL ((1 << 1)-1)

## ◆ PW_FACTORY_EVENT_INFO

#define PW_FACTORY_EVENT_INFO 0

## ◆ PW_FACTORY_EVENT_NUM

#define PW_FACTORY_EVENT_NUM 1

## ◆ PW_VERSION_FACTORY_EVENTS

#define PW_VERSION_FACTORY_EVENTS 0

## ◆ PW_FACTORY_METHOD_ADD_LISTENER

#define PW_FACTORY_METHOD_ADD_LISTENER 0

## ◆ PW_FACTORY_METHOD_NUM

#define PW_FACTORY_METHOD_NUM 1

## ◆ PW_VERSION_FACTORY_METHODS

#define PW_VERSION_FACTORY_METHODS 0

## ◆ pw_factory_method

#define pw_factory_method | ( |  | o,
|  |  | method,
|  |  | version,
|  |  | ... )

## ◆ pw_factory_add_listener

#define pw_factory_add_listener | ( |  | c,
|  |  | ... )

Value:
pw_factory_method(c,add_listener,0,__VA_ARGS__)
pw_factory_method
#define pw_factory_method(o, method, version,...)
Definition factory.h:102

See also
  pw_factory_methods.add_listener

## Function Documentation

## ◆ pw_factory_info_update()

struct pw_factory_info * pw_factory_info_update | ( | struct pw_factory_info * | info,
|  | const struct pw_factory_info * | update )

## ◆ pw_factory_info_merge()

struct pw_factory_info * pw_factory_info_merge | ( | struct pw_factory_info * | info,
|  | const struct pw_factory_info * | update,
|  | bool | reset )

## ◆ pw_factory_info_free()

void pw_factory_info_free | ( | struct pw_factory_info * | info | ) |